%{?mingw_package_header}

Name: mingw-libgovirt
Version: 0.3.2
Release: 1%{?dist}%{?extra_release}
Summary: MinGW support for a GObject library for interacting with oVirt REST API

Group: Development/Libraries
License: LGPLv2+
URL: http://people.freedesktop.org/~teuf/govirt/
Source: http://download.gnome.org/sources/libgovirt/0.3/libgovirt-%{version}.tar.xz

BuildArch: noarch

Requires: pkgconfig
Requires: glib2-devel
BuildRequires: glib2-devel
BuildRequires: intltool
BuildRequires: mingw32-rest >= 0.7.92
BuildRequires: mingw64-rest >= 0.7.92
Patch0001:      0001-ovirt-options-Do-not-expand-tilde-on-Windows.patch

%description
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n     mingw32-libgovirt
Summary:        %{summary}

%description -n mingw32-libgovirt
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n     mingw32-libgovirt-static
Summary:        %{summary}
Requires:       mingw32-libgovirt = %{version}-%{release}

%description -n mingw32-libgovirt-static
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n     mingw64-libgovirt
Summary:        %{summary}

%description -n mingw64-libgovirt
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%package -n     mingw64-libgovirt-static
Summary:        %{summary}
Requires:       mingw64-libgovirt = %{version}-%{release}

%description -n mingw64-libgovirt-static
libgovirt is a library that allows applications to use oVirt REST API
to list VMs managed by an oVirt instance, and to get the connection
parameters needed to make a SPICE/VNC connection to them.

%{?mingw_debug_package}

%prep
%setup -q -n libgovirt-%{version}
%patch1 -p1

%build
%mingw_configure                            \
    --disable-gtk-doc                       \
    --with-introspection=no                 \
    --enable-static

%mingw_make %{?_smp_mflags} V=1

%install
%mingw_make_install "DESTDIR=$RPM_BUILD_ROOT" "INSTALL=install -p"

# Due to a libtool bug[0], locale files are being installed into
# /usr/i686-w64-mingw32/sys-root/mingw/lib/locale rather than
# /usr/i686-w64-mingw32/sys-root/mingw/share/locale
# [0]: https://bugs.launchpad.net/intltool/+bug/398571
# As $RPM_BUILD_ROOT%{mingw*_datadir} are not created at this point,
# lets create it.
mkdir -p $RPM_BUILD_ROOT%{mingw32_datadir}
mkdir -p $RPM_BUILD_ROOT%{mingw64_datadir}

mv $RPM_BUILD_ROOT%{mingw32_libdir}/locale $RPM_BUILD_ROOT%{mingw32_datadir}
mv $RPM_BUILD_ROOT%{mingw64_libdir}/locale $RPM_BUILD_ROOT%{mingw64_datadir}

%mingw_find_lang libgovirt --all-name

# Libtool files don't need to be bundled
find $RPM_BUILD_ROOT -name "*.la" -delete

%files -n mingw32-libgovirt -f mingw32-libgovirt.lang
%doc AUTHORS COPYING MAINTAINERS README
%{mingw32_bindir}/libgovirt-2.dll
%{mingw32_libdir}/libgovirt.dll.a
%{mingw32_libdir}/pkgconfig/govirt-1.0.pc
%dir %{mingw32_includedir}/govirt-1.0/
%dir %{mingw32_includedir}/govirt-1.0/govirt/
%{mingw32_includedir}/govirt-1.0/govirt/*.h

%files -n mingw32-libgovirt-static
%{mingw32_libdir}/libgovirt.a

%files -n mingw64-libgovirt -f mingw64-libgovirt.lang
%doc AUTHORS COPYING MAINTAINERS README
%{mingw64_bindir}/libgovirt-2.dll
%{mingw64_libdir}/libgovirt.dll.a
%{mingw64_libdir}/pkgconfig/govirt-1.0.pc
%dir %{mingw64_includedir}/govirt-1.0/
%dir %{mingw64_includedir}/govirt-1.0/govirt/
%{mingw64_includedir}/govirt-1.0/govirt/*.h

%files -n mingw64-libgovirt-static
%{mingw64_libdir}/libgovirt.a

%changelog
* Mon Nov 24 2014 Fabiano Fidêncio <fidencio@redhat.com> 0.3.2-1
- Initial Fedora packaging
